Bug 1443685 - po4a should follow EPEL limited arch guidelines
Summary: po4a should follow EPEL limited arch guidelines
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: po4a
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1596394 1497544 1596391
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-19 17:59 UTC by Kevin Fenzi
Modified: 2019-02-09 01:43 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-02-09 01:43:22 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1196539 None CLOSED RHEL7.1 - Please ship perl-gettext package on ppc64/ppc64le/aarch64 2019-02-28 23:04 UTC

Internal Trackers: 1196539

Description Kevin Fenzi 2017-04-19 17:59:26 UTC
In https://bugzilla.redhat.com/show_bug.cgi?id=1134624 po4a was added to epel7 because it was not available for ppc64. However, it's available in other arches in the rhel7-optional channel. 

It needs to follow the EPEL guidelines for a limited arch package (ie, it needs to follow the rhel package and be 'lower' in version so it's never used except to build or on arches that don't have it)

Currently we have: 

po4a.noarch                                             0.44-10.el7                                             rhel7-optional
po4a.noarch                                             0.45-4.el7                                              epel  

So, what needs to happen is: 

* announce the issue to epel-announce
* untag 0.45-4.el7 and any other builds that are 'newer' than 0.44-10.el7
* build a 0.44-0.10.el7 in epel
* rebuild things that depend on this in epel?
* push an update with all those things in the same update

I can do these things if the maintainers of this package prefer or they can or we can split up the work.

Comment 1 Dan Horák 2017-04-19 19:03:06 UTC
Kevin, feel free to do any necessary changes with po4a.

Comment 2 Sergio Monteiro Basto 2017-06-18 15:03:05 UTC
my suggestion is update po4a-0.45 in rhel7-optional that superseded the package in epel and after remove po4a from epel .

As you may notice [1] not even Debian oldstable have po4a-0.44


[1] 
https://tracker.debian.org/pkg/po4a


    oldstable: 0.45-1
    stable: 0.47-2
    testing: 0.47-2
    unstable: 0.51-1

Comment 3 Kevin Fenzi 2017-06-24 14:43:42 UTC
Well, we can definitely ask them to update it and build on ppc*/aarch64, but no idea if they will be willing to do so. 

I guess we can wait and see...

Comment 4 Sergio Monteiro Basto 2017-08-18 19:06:19 UTC
in https://src.fedoraproject.org/rpms/po4a/commits/epel7 , Till claim that po4a 
is now included in RHEL , I checked with dpkg and failed in ppc64 only [1], ppc64le got po4a , and now what we should do ?   


[1]
https://koji.fedoraproject.org/koji/taskinfo?taskID=21310958
https://kojipkgs.fedoraproject.org//work/tasks/961/21310961/root.log

DEBUG util.py:439:  Error: No Package found for po4a

Comment 5 Kevin Fenzi 2017-08-19 18:30:09 UTC
Well, we could bring it back as a limited arch package, but perhaps it would be easier to just ExcludeArch: ppc64 on this and all it's deps?

Comment 6 Sergio Monteiro Basto 2017-08-20 16:59:25 UTC
From me "ExcludeArch: ppc64" , is not an option , I think it will force ExcludeArch every package of debian tools. 
As bug #1196539, we may do one :
"RHEL7.5 Please ship po4a package on ppc64, we already have it in ppc64le/aarch64".
Anyway still my suggestion which is update po4a-0.45 in rhel7-optional that superseded the package in epel [1]

[1]
RHEL should build 0.45-5.el7  to superseded 0.45-4.el7 of epel 7 (now it is already deleted ...)

Comment 7 Kevin Fenzi 2017-08-20 18:25:00 UTC
(In reply to Sergio Monteiro Basto from comment #6)
> From me "ExcludeArch: ppc64" , is not an option , I think it will force
> ExcludeArch every package of debian tools. 

Yep. it would. 

> As bug #1196539, we may do one :
> "RHEL7.5 Please ship po4a package on ppc64, we already have it in
> ppc64le/aarch64".
> Anyway still my suggestion which is update po4a-0.45 in rhel7-optional that
> superseded the package in epel [1]
> 
> [1]
> RHEL should build 0.45-5.el7  to superseded 0.45-4.el7 of epel 7 (now it is
> already deleted ...)

If they are willing to do that then great! But I bet it won't be anytime soon. 
Perhaps excluding ppc64 for now and dropping that once it's available in rhel-optional would be a way to go?

Comment 8 Sergio Monteiro Basto 2017-08-22 11:13:49 UTC
As a team mate notice , po4a is a noarch package should be easier to include in ppc64 repo ...

Comment 9 Fedora Update System 2019-01-23 02:19:21 UTC
dpkg-1.18.25-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3f42fc49bd

Comment 10 Fedora Update System 2019-01-24 03:48:21 UTC
dpkg-1.18.25-6.el7, schroot-1.6.10-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3f42fc49bd

Comment 11 Fedora Update System 2019-02-09 01:43:22 UTC
dpkg-1.18.25-6.el7, schroot-1.6.10-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.